
Redmine - Defect #9116

undefined method `empty?' for :login:Symbol

2011-08-24 12:24 - Liansheng Li

Status: Closed Start date: 2011-08-24

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Windows 7

D:\Work\www\redmine>rake config/initializers/session_store.rb --trace

rake aborted!

undefined method `empty?' for :login:Symbol

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task_manager.rb:29:in `define_task'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:310:in`define_task'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/dsl_definition.rb:25:in `task'

D:/Work/www/redmine/lib/tasks/email.rake:171

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task_manager.rb:207:in `in_namespace'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/dsl_definition.rb:95:in `namespace'

D:/Work/www/redmine/lib/tasks/email.rake:19

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task_manager.rb:207:in `in_namespace'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/dsl_definition.rb:95:in `namespace'

D:/Work/www/redmine/lib/tasks/email.rake:18

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:145:in

`load_without_new_constant_marking'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:145:in `load'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:521:in `new_constants_in'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:145:in `load'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/tasks/rails.rb:9

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/tasks/rails.rb:9:in `each'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/tasks/rails.rb:9

D:/Work/Tools/Ruby187/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `gem_original_require'

D:/Work/Tools/Ruby187/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `require'

D:/Work/www/redmine/Rakefile:11

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/rake_module.rb:25:in `load'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/rake_module.rb:25:in `load_rakefile'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:495:in `raw_load_rakefile'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:78:in `load_rakefile'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:77:in `load_rakefile'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:61:in `run'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'

D:/Work/Tools/Ruby187/lib/ruby/gems/1.8/gems/rake-0.9.2/bin/rake:32

D:/Work/Tools/Ruby187/bin/rake:19:in `load'

D:/Work/Tools/Ruby187/bin/rake:19

Centos 5.5

[root@S104 redmine]# RAILS_ENV=production bundle exec rake generate_session_store --trace

(in /data/mtsite/redmine)

rake aborted!

undefined method `empty?' for :login:Symbol

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1687:in `define_task'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:722:in `define_task'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:829:in `task'

/data/mtsite/redmine/lib/tasks/email.rake:170

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1851:in `in_namespace'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:892:in `namespace'

/data/mtsite/redmine/lib/tasks/email.rake:19

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1851:in `in_namespace'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:892:in `namespace'

/data/mtsite/redmine/lib/tasks/email.rake:18

/usr/local/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in

`load_without_new_constant_marking'

/usr/local/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load'

/usr/local/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'

/usr/local/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14

/data/mtsite/redmine/Rakefile:10:in `require'

/data/mtsite/redmine/Rakefile:10

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2349:in `load'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2349:in `raw_load_rakefile'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1985:in `load_rakefile'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1984:in `load_rakefile'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1969:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/bin/rake:31

/usr/local/lib/ruby/gems/1.8/bin/rake:19:in `load'

/usr/local/lib/ruby/gems/1.8/bin/rake:19

@Gems included by the bundle:   * RedCloth (4.2.8)   * actionmailer (2.3.11)   * actionpack (2.3.11)   * activerecord (2.3.11)   *

activeresource (2.3.11)   * activesupport (2.3.11)   * bundler (1.0.18)   * coderay (0.9.8)   * hoe (2.12.1)   * i18n (0.4.2)   * mysql

(2.8.1)   * rack (1.1.2)   * rails (2.3.11)   * rake (0.8.3)   * rdoc (3.9.2)   * ruby-mysql (2.9.4)   * rubytree (0.5.2)   * tasks (1.3)@

History

#1 - 2011-08-24 13:47 - Etienne Massip

Redmine version ?

#2 - 2011-08-25 04:15 - Liansheng Li

It's appear in redmine 1.1 and redmine 1.2.

redmine 1.0 doesn't has this question.

#3 - 2011-08-25 08:57 - Etienne Massip

I doubt it, but maybe it is related to the default configuration.yml file when copied from .example which contains email configuration with

authentication: :login

#4 - 2011-08-31 08:53 - Jean-Baptiste Barth

The line that throws this error is not the same on your 2 machines (line 171 of lib/tasks/email.rake in the first, 170 in the second). Your rake versions

are not the same neither (0.9.2 / 0.8.3). I'm not able to reproduce with either rake v0.8.7 or v0.9.2 (0.8.3 is far too old), but i get a deprecation warning

on this line with rake 0.9.2. It works though on my machine...

Liansheng: could you try to replace line 170 in lib/tasks/email.rake as you're the only one to reproduce this bug. It should look like this now : 

task :test, :login, :needs => :environment do |task, arg|

Replace it with the new syntax : 

task [:test, :login] => :environment do |task, arg|

... and tell us if it solves your problem. Thanks.

#5 - 2013-04-30 10:40 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Cant reproduce

No answer, I suppose the problem is fixed.

Files

linux.jpg 202 KB 2011-08-24 Liansheng Li
windows.jpg 189 KB 2011-08-24 Liansheng Li
